Skip to main content
GET
List Transactions
Returns a paginated list of transactions. Transactions are returned in reverse chronological order, with the most recent transactions first.

Query Parameters

string
Filter transactions by your custom order ID or reference string (e.g. inv_ref_104, ord_8932).
string
Filter transactions by gateway payment reference (e.g. pay_fe0f4aa967bf).
integer
default:"10"
A limit on the number of objects to be returned. Limit can range between 1 and 100.
string
Filter transactions by status: successful, pending, failed, or requires_action.
string
Filter transactions by three-letter ISO currency code (XAF, XOF, GHS, KES, etc.).
string
Filter transactions belonging to a specific customer ID.
string
A cursor for pagination. An object ID defining your place in the list.

Code Examples


Response